<?php
// Include PHPMailer classes (update the paths if necessary)
require 'phpmailer/src/Exception.php';
require 'phpmailer/src/PHPMailer.php';
require 'phpmailer/src/SMTP.php';

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Get form data
    $name = htmlspecialchars($_POST['name']);
    $phone = htmlspecialchars($_POST['phone']);
    $message = htmlspecialchars($_POST['message']);
    
    // Get IP Address
    $ip = $_SERVER['REMOTE_ADDR'];
    
    // Log submission details to a file
    $logfile = 'submissions.log';
    $logData = date("Y-m-d H:i:s") . " - IP: $ip - Name: $name - Phone: $phone - Quantity: $message\n";
    file_put_contents($logfile, $logData, FILE_APPEND);
    
    // Create a new PHPMailer instance
    $mail = new PHPMailer(true);

    try {
        // Server settings
        $mail->isSMTP();
        $mail->Host = 'luxshop.info';  
        $mail->SMTPAuth = true;
        $mail->Username = 'info@luxshop.info';
        $mail->Password = '#Random5250';
        $mail->SMTPSecure = 'ssl';
        $mail->Port = 465;
        
        // Recipients
        $mail->setFrom('info@luxshop.info', 'LuxShop');
        $mail->addAddress('zuiyrandom@gmail.com'); 
        
        // Content
        $mail->isHTML(false); // Set email format to plain text
        $mail->Subject = 'New Form Submission from LuxShop';
        $mail->Body    = "Name: $name\nPhone: $phone\nQuantity: $message\nIP Address: $ip";
        
        // Send email
        if ($mail->send()) {
            // Redirect to Thank You page after successful email send
            header('Location: thank-you.html');
            exit;
        } else {
            echo "Error sending email.";
        }
    } catch (Exception $e) {
        // If there is an error, show it
        echo "Error: {$mail->ErrorInfo}";
    }
}
?>
